#define sin_display_init
/*SIN DISPLAY DLL | VERSION 1.0 */

//initialize the DLL, call this script before you use any functions from the DLL

//DLL path
var_sin_display_dll=working_directory+"/sin-display.dll";

//Declare functions available
global.var_display_sin1=external_define(var_sin_display_dll,"sin_display_set",dll_stdcall,ty_real,5,ty_real,ty_real,ty_real,ty_real,ty_real);
global.var_display_sin2=external_define(var_sin_display_dll,"sin_display_test",dll_stdcall,ty_real,5,ty_real,ty_real,ty_real,ty_real,ty_real);
global.var_display_sin3=external_define(var_sin_display_dll,"sin_display_get_name",dll_stdcall,ty_string,1,ty_real);
global.var_display_sin4=external_define(var_sin_display_dll,"sin_display_get_monitors",dll_stdcall,ty_real,0);
global.var_display_sin5=external_define(var_sin_display_dll,"sin_display_get_width",dll_stdcall,ty_real,1,ty_real);
global.var_display_sin6=external_define(var_sin_display_dll,"sin_display_get_height",dll_stdcall,ty_real,1,ty_real);
global.var_display_sin7=external_define(var_sin_display_dll,"sin_display_get_colordepth",dll_stdcall,ty_real,1,ty_real);
global.var_display_sin8=external_define(var_sin_display_dll,"sin_display_get_frequency",dll_stdcall,ty_real,1,ty_real);

#define sin_display_set
/*

Change display settings, auto resets on game end
NOTE: use sin_display_get_monitors() to find out the number of physical monitors

returns: 
1 on success, 
0 error: display change failed.
-1 error: the display driver failed the specified graphics mode.
-2 error: the particular graphics mode is not supported

argument0 monitor index number e.g. 0 (use 0 for primary monitor)
argument1 screen width e.g. 800
argument2 screen height e.g. 600
argument3 screen colordepth e.g. 16
argument4 screen frequency e.g 60

*/

return external_call(global.var_display_sin1,argument0,argument1,argument2,argument3,argument4);

#define sin_display_test
/*

Tests if display settings can be applied, it does not change them

returns: 
1 on success, 
0 error: display change failed.
-1 error: the display driver failed the specified graphics mode.
-2 error: the particular graphics mode is not supported

argument0 monitor index number e.g. 0 (use 0 for primary monitor)
argument1 screen width e.g. 800
argument2 screen height e.g. 600
argument3 screen colordepth e.g. 16
argument4 screen frequency e.g 60

*/

return external_call(global.var_display_sin2,argument0,argument1,argument2,argument3,argument4);
#define sin_display_get_name
/*

Retrieve the display driver's name
NOTE: It may also retrieve virtual display drivers

returns name on success, "ERROR" on failure

argument 0 is the device index number, use 0 for primary monitor

*/

return external_call(global.var_display_sin3,argument0);

#define sin_display_get_monitors
/*

Retrieve number of physical monitors

returns number of monitors on success, 0 on failure

*/

return external_call(global.var_display_sin4);

#define sin_display_get_width
/*

Retrieve a display device's horizontal width

returns width on success, -1 on failure

argument 0 is the device index number, use 0 for primary monitor

*/

return external_call(global.var_display_sin5,argument0);

#define sin_display_get_height
/*

Retrieve a display device's vertical height

returns height on success, -1 on failure

argument 0 is the device index number, use 0 for primary monitor

*/

return external_call(global.var_display_sin6,argument0);

#define sin_display_get_colordepth
/*

Retrieve a display device's colordepth

returns colordepth e.g. 32 on success, -1 on failure

argument 0 is the device index number, use 0 for primary monitor

*/

return external_call(global.var_display_sin7,argument0);

#define sin_display_get_frequency
/*

Retrieve a display device's refresh rate (frequency)

returns frequency on success e.g. 60, -1 on failure

argument 0 is the device index number, use 0 for primary monitor

*/

return external_call(global.var_display_sin8,argument0);

